<template>
  <el-row :gutter="20">

    <el-col>
      <p class="title">Персона</p>
      <p class="defaultText">
        <span class="preBold brown">ОГР</span>
        <span>{{ info.ogrn }}</span>
      </p>
      <p class="defaultText">
        <span class="preBold brown">ИИН</span>
        <span>{{ info.inn }}</span>
      </p>
    </el-col>
    <el-col>
      <p class="defaultText">
        <img src="@/assets/person/calendar.svg" class="icon-image" alt="">
        <span>
          <span class="label">Дата создания</span>
          {{ dateFormat(info.created_at) }}
        </span>
      </p>
      <p class="defaultText">
        <img src="@/assets/person/edit.svg" class="icon-image" alt="">
        <span>
          <span class="label">Дата редактирования</span>
          {{ dateFormat(info.updated_at) }}
<!--          <i class="author">Rybakov-AV</i>-->
        </span>
      </p>
    </el-col>
    <el-col><hr></el-col>
    <el-col>
      <el-row :gutter="20" v-for="item in document" v-bind:key="item.id">
        <el-col :sm="{span:12}">
          <p class="defaultText">
                  <span>
                    <span class="label">Тип документа</span>
                    {{ item.type.name }}
                  </span>
          </p>
        </el-col>
        <el-col :sm="{span:12}">
          <p class="defaultText">
                  <span>
                    <span class="label">Номер документа</span>
                    {{ item.numb }}
                  </span>
          </p>
        </el-col>
        <el-col :sm="{span:12}">
          <p class="defaultText">
                  <span>
                    <span class="label">Кем выдан</span>
                    {{ item.kem_vudan }}
                  </span>
          </p>
        </el-col>
        <el-col :sm="{span:12}">
          <p class="defaultText">
                  <span>
                    <span class="label">Страна выдачи</span>
                    {{ item.strana_vudachi.name }}
                  </span>
          </p>
        </el-col>
        <el-col :sm="{span:12}">
          <p class="defaultText">
                  <span>
                    <span class="label">Дата выдачи</span>
                    {{ dateFormat(item.start_date) }}
                  </span>
          </p>
        </el-col>
        <el-col :sm="{span:12}">
          <p class="defaultText">
                  <span>
                    <span class="label">Годен до</span>
                    {{ dateFormat(item.end_date) }}
                  </span>
          </p>
        </el-col>
      </el-row>
    </el-col>
    <el-col><hr></el-col>
    <el-col :sm="{span:12}">
      <p class="defaultText">
              <span>
                <span class="label">БИК</span>
                {{ info.bik }}
              </span>
      </p>
    </el-col>
    <el-col :sm="{span:12}">
      <p class="defaultText">
              <span>
                <span class="label">Сектор экономики</span>
                {{ info.sektor_ekon.name }}
              </span>
      </p>
    </el-col>
    <el-col :sm="{span:12}">
      <p class="defaultText">
              <span>
                <span class="label">Полное название</span>
                {{ info.full_name_comp }}
              </span>
      </p>
    </el-col>
    <el-col :sm="{span:12}">
      <p class="defaultText">
              <span>
                <span class="label">Сокращенное название</span>
                {{ info.short_name_comp }}
              </span>
      </p>
    </el-col>
  </el-row>
</template>

<script>
import moment from "moment";

export default {
  props:{
    info:[Object, Array],
    document:[Object, Array],
  },
  methods:{
    dateFormat(data){
      if(data !== ''){
        return moment(data).format('DD.MM.YYYY')
      }else{
        return '-'
      }
    },
  }
}
</script>